set_property -dict {PACKAGE_PIN K6} [get_ports pcie_refclk_clk_p]
set_property -dict {PACKAGE_PIN K5} [get_ports pcie_refclk_clk_n]

set_property -dict {PACKAGE_PIN J26 IOSTANDARD LVCMOS33} [get_ports {red_blue_tri_o[0]}]
set_property -dict {PACKAGE_PIN H26 IOSTANDARD LVCMOS33} [get_ports green]
set_property -dict {PACKAGE_PIN G26 IOSTANDARD LVCMOS33} [get_ports {red_blue_tri_o[1]}]

set_property BITSTREAM.CONFIG.CONFIGRATE 16 [current_design]
set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]

set_property LOC GTXE2_CHANNEL_X0Y3 [get_cells {PCIe_DMA_i/xdma_0/inst/PCIe_DMA_xdma_0_0_pcie2_to_pcie3_wrapper_i/pcie2_ip_i/inst/inst/gt_top_i/pipe_wrapper_i/pipe_lane[0].gt_wrapper_i/gtx_channel.gtxe2_channel_i}]
set_property PACKAGE_PIN J4 [get_ports {pcie_rxp[0]}]
set_property LOC GTXE2_CHANNEL_X0Y2 [get_cells {PCIe_DMA_i/xdma_0/inst/PCIe_DMA_xdma_0_0_pcie2_to_pcie3_wrapper_i/pcie2_ip_i/inst/inst/gt_top_i/pipe_wrapper_i/pipe_lane[1].gt_wrapper_i/gtx_channel.gtxe2_channel_i}]
set_property PACKAGE_PIN L4 [get_ports {pcie_rxp[1]}]
set_property LOC GTXE2_CHANNEL_X0Y1 [get_cells {PCIe_DMA_i/xdma_0/inst/PCIe_DMA_xdma_0_0_pcie2_to_pcie3_wrapper_i/pcie2_ip_i/inst/inst/gt_top_i/pipe_wrapper_i/pipe_lane[2].gt_wrapper_i/gtx_channel.gtxe2_channel_i}]
set_property PACKAGE_PIN N4 [get_ports {pcie_rxp[2]}]
set_property LOC GTXE2_CHANNEL_X0Y0 [get_cells {PCIe_DMA_i/xdma_0/inst/PCIe_DMA_xdma_0_0_pcie2_to_pcie3_wrapper_i/pcie2_ip_i/inst/inst/gt_top_i/pipe_wrapper_i/pipe_lane[3].gt_wrapper_i/gtx_channel.gtxe2_channel_i}]
set_property PACKAGE_PIN R4 [get_ports {pcie_rxp[3]}]
